Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: ftop
Version: 1.0 
Release: alt2_25
Summary: Utility that shows shows progress of open files and file systems

License: GPLv3+
URL: http://code.google.com/p/ftop/
#SHA1 Checksum of Source0 tarball d3ef1b74825f50c7c442d299b29d23c2478f199b
Source0: http://ftop.googlecode.com/files/%{name}-%{version}.tar.bz2
#Patch from the upstream project site:
#http://code.google.com/p/ftop/issues/list
Patch0: ftop-fix_buffer_overflow.patch
Patch1: ftop-fix_printf_format.patch
BuildRequires:  gcc
BuildRequires: libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info


%description
Ftop is to files what top is to processes. The progress of all open files 
file systems can be monitored. 
The selection of which files to display is possible through 
a wide assortment of options. As with top, the items are displayed in 
order from most to least active. 

%prep
%setup -q

touch -r configure.ac configure.ac.stamp
%patch0 -p0 -b .fix_buffer_overflow
%patch1 -p0 -b .fix_printf_format
touch -r configure.ac.stamp configure.ac

%build

%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT



%files

%{_bindir}/*
%doc COPYING AUTHORS ChangeLog NEWS README
%{_mandir}/man1/*



%changelog
* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_25
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_24
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_23
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_22
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_21
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.0-alt2_20
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_20
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_19
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_18
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_17
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_15
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_11
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_10
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_9
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_8
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_7
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_6
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_5
- initial fc import

